//* Ilerleyen zamanlarda buraya ekstra sifreleme koy. Sifreleme ve acilma suresi uygun olan.Gzip oncesi sifreleme ve sonrasi sifrelemeyide test et

import 'dart:convert';
import 'dart:io';

class DataZip {
  DataZip._();
  static List<int> zipFromJsonData(Map jsonData) {
    return zipFromStringData(json.encode(jsonData));
  }

  static List<int> zipFromStringData(String stringData) {
    return zipFromByteData(utf8.encode(stringData));
  }

  static List<int> zipFromByteData(List<int> byteData) {
    return gzip.encode(byteData);
  }

  static Map jsonDataFromZip(List<int> byteData) {
    return json.decode(stringDataFromZip(byteData));
  }

  static String stringDataFromZip(List<int> byteData) {
    return utf8.decode(byteDataFromZip(byteData));
  }

  static List<int> byteDataFromZip(List<int> byteData) {
    return gzip.decode(byteData);
  }
}
