import 'package:flutter/material.dart';
import 'package:get/get.dart';

class BaseController extends GetxController {
  bool isLoading = false;
  bool isPageLoading = false;
  GlobalKey<FormState> formKey = GlobalKey<FormState>();

  void startLoading() {
    isLoading = true;
    update();
  }

  void stopLoading() {
    isLoading = false;
    update();
  }
}
