import 'package:get/get.dart';
import 'app_controller.dart';

extension GetString on String? {
  String get translate => Get.find<AppController>().localizedValues[this ?? '-'] ?? this ?? '???';
  String argsTranslate(Map<String, dynamic> args) {
    String _text = (this ?? '').translate;

    args.entries.forEach((element) {
      _text = _text.replaceAll('#${element.key}', element.value.toString());
    });

    return _text;
  }

  String argTranslate(String arg) {
    final _value = Get.find<AppController>().localizedValues[this!];
    if (_value == null) return this!;
    // final _splittedText = _value.split('-*-');
    // var text = '';
    // for (var i = 0; i < _splittedText.length; i++) {
    //   if (i < args.length) {
    //     text += _splittedText[i] + args[i].toString();
    //   } else {
    //     text += _splittedText[i];
    //   }
    // }
    return _value.replaceAll('-*-', arg.toString());
  }
}
