import 'package:flutter/material.dart';
import 'package:mcg_extension/mcg_extension.dart';

class PanelHeaderWidget extends StatelessWidget {
  final String? title;
  final String? subTitle;
  PanelHeaderWidget({this.title, this.subTitle});
  @override
  Widget build(BuildContext context) {
    return Container(
      //   decoration: BoxDecoration(color: Fav.design.sheet.card, borderRadius: BorderRadius.circular(_kBorderRadius)),
      padding: Inset(8),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          Container(width: double.infinity),
          if (title != null) title.text.color(Fav.design.sheet.headerText).bold.fontSize(24).center.make(),
          4.heightBox,
          if (subTitle != null) subTitle.text.color(Fav.design.sheet.contentText.withAlpha(200)).fontSize(16).center.make(),
        ],
      ),
    );
  }
}
