import 'package:flutter/material.dart';

class PillGesture extends StatelessWidget {
  final Color? pillColor;

  PillGesture({
    required this.pillColor,
  });

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: double.infinity,
      child: Column(
        children: <Widget>[
          SizedBox(height: 10.0),
          Container(
            height: 5.0,
            width: 25.0,
            decoration: BoxDecoration(
              color: pillColor ?? Colors.blueGrey[200],
              borderRadius: BorderRadius.circular(50.0),
            ),
          ),
          SizedBox(height: 20.0),
        ],
      ),
    );
  }
}
